## kde-spectacle 6.2.90

=== debian/changelog ===
kde-spectacle (1:6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)
  * Add version epoch to changelog, as we are switching to a release as
    part of Plasma 6 and need to leave the KDE Gear versioning scheme
    behind.
  * Update watch file and upstream signing key for switch to Plasma
    release.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 05:30:05 +0000

kde-spectacle (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jan 2025 07:04:25 +0000

kde-spectacle (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:26:48 +0000

kde-spectacle (24.11.90-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 07 Dec 2024 23:29:55 -0600

kde-spectacle (24.11.90-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:21:39 -0600

kde-spectacle (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)
  * Drop no more meeded kubuntu_disable-QWebpPlugin-cmake-check.patch

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:17:35 +0000

kde-spectacle (24.11.80-0ubuntu2) plucky; urgency=medium

  * Fix runtime dependency.

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Nov 2024 17:13:51 +0000

kde-spectacle (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * New build depend on libkf6crash-dev
  * Add patch to disable cmake build time check for QWebpPlugin. This is
    runtime dependency.

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Nov 2024 06:51:04 +0000

kde-spectacle (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)
  * Add missing qml module runtime depends.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 10:01:39 +0000

kde-spectacle (24.08.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Aug 2024 15:25:57 +0200

kde-spectacle (24.05.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2). (Closes: #1067060, #1030396)
  * Update build-deps and deps with info from cmake.
  * pkg-config -> pkgconf.
  * Use dh-sequence-kf6.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update copyright info.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 15 Aug 2024 22:20:11 +0200

kde-spectacle (23.04.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.104.0
    - add libkpipewire-dev, and libpipewire-0.3-dev
    - explicitly add libqt5waylandclient5-dev, libwayland-dev,
      plasma-wayland-protocols, qtbase5-private-dev, and qtwayland5-dev-tools
    - drop no more needed/used: libkf5declarative-dev, libkf5kipi-dev,
      libkf5newstuff-dev, libkf5screen-dev, and libkf5wayland-dev
  * Update the patches:
    - fix-%t-pattern-in-fullscreen-captures: drop, no more needed

 -- Pino Toscano <pino@debian.org>  Sat, 17 Jun 2023 08:23:18 +0200

kde-spectacle (23.03.70~git20230104.712cb8f1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream git snapshot (23.03.70~git20230104.712cb8f1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jan 2023 23:22:22 +0100

kde-spectacle (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:27 +0100

kde-spectacle (22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * CI: enable again blhc, as it works fine now with blhc 0.13.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 10:36:35 +0100

kde-spectacle (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:07:25 +0100

kde-spectacle (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:49 +0100

kde-spectacle (22.08.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Sep 2022 18:41:01 +0200

kde-spectacle (22.04.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.04.1).
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 13 May 2022 23:17:50 +0200

kde-spectacle (21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Mar 2022 21:53:51 +0100

kde-spectacle (21.12.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.2).
  * Refresh patches.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 02 Mar 2022 23:18:19 +0100

kde-spectacle (21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).

