=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma/([\d.]+)/spectacle@ANY_VERSION@@ARCHIVE_EXT@
