## kde-spectacle 6.3.0

=== debian/changelog ===
kde-spectacle (4:6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:59:58 +0100

kde-spectacle (4:6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:53:15 +0100

kde-spectacle (4:6.2.90-1) experimental; urgency=medium

  * Update watch file now that Spectacle is part of the Plasma release
    train.
  * Update upstream signing key to match other Plasma packages.
  * New upstream release (6.2.90).
  * Bump epoch to account for versioning scheme change.
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Jan 2025 00:46:30 +0100

kde-spectacle (24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 17 Jan 2025 22:00:52 +0100

kde-spectacle (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 22:12:00 +0100

kde-spectacle (24.08.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Use dh_qmldeps to detect QML dependencies.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 26 Nov 2024 08:18:20 +0100

kde-spectacle (23.08.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Update B-Ds for kcolorpicker and kimageannotator to the new explicit
    Qt 5 packages (Closes: #1070638).

 -- Patrick Franz <deltaone@debian.org>  Tue, 07 May 2024 12:45:49 +0200

kde-spectacle (23.08.5-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.5).
  * Add runtime dependency on qml-module-qtquick-shapes. (Closes:
    #1050313)
  * Update build-deps with info from cmake.
  * Build depend on pkgconf instead of transitional pkg-config.

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Apr 2024 20:55:25 +0200

kde-spectacle (23.04.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Mon, 19 Jun 2023 21:03:55 +0200
