## kde-spectacle 6.3.2.1

=== debian/changelog ===
kde-spectacle (4:6.3.2.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1.2).
  * New upstream release (6.3.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:53:25 +0100
