=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: kde-spectacle
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libkcolorpicker-qt6-dev,
@@ -28,8 +29,8 @@
                libkf6xmlgui-dev (>= 6.10.0~),
                libkimageannotator-qt6-dev,
                libkirigami-dev (>= 6.10.0~),
-               libkpipewire-dev (>= 5.240.0~),
-               liblayershellqtinterface-dev (>= 5.240.0~),
+               libkpipewire-dev (>= 6.3.4~),
+               liblayershellqtinterface-dev (>= 6.3.4~),
                libopencv-core-dev,
                libopencv-dev,
                libopencv-imgproc-dev,
@@ -54,8 +55,8 @@
                qt6-wayland-dev-tools (>= 6.6.0~),
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/spectacle
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spectacle
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spectacle.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
 Rules-Requires-Root: no
 
 Package: kde-spectacle
