=== debian/changelog ===
kde-spectacle (4:6.3.5-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commits:
    - Fix export notifications keeping spectacle from closing. (kde#503838)
    - Fix crash related to setups with multiple displays. (kde#503682)
    - Fix rectangular region selecting on wrong screen with certain screen
    setups. (kde#502047)
  * Point upstream source to invent git repo.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Jun 2025 22:14:09 +0200

kde-spectacle (4:6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
  * Relax inter-plasma versioned dependency constraint so we can upload
    only 6.3.5 packages that have actual code changes.
  * Backport upstream commits:
    - Fix spectacle freezing when finishing the rendering after the end of
    video capture sessions.
    - Set rendering message for system tray icon tooltip.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:40 +0200

kde-spectacle (4:6.3.4-1) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:01:17 +0200
