=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: kde-spectacle
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libkcolorpicker-qt6-dev,
@@ -29,8 +28,8 @@
                libkf6xmlgui-dev (>= 6.10.0~),
                libkimageannotator-qt6-dev,
                libkirigami-dev (>= 6.10.0~),
-               libkpipewire-dev (>= 6.3.4~),
-               liblayershellqtinterface-dev (>= 6.3.4~),
+               libkpipewire-dev (>= 5.240.0~),
+               liblayershellqtinterface-dev (>= 5.240.0~),
                libopencv-core-dev,
                libopencv-dev,
                libopencv-imgproc-dev,
@@ -53,10 +52,10 @@
                qt6-svg-dev (>= 6.6.0~),
                qt6-wayland-dev (>= 6.7.0~),
                qt6-wayland-dev-tools (>= 6.6.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://apps.kde.org/en/spectacle
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spectacle
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spectacle.git
 Rules-Requires-Root: no
 
 Package: kde-spectacle
