=== debian/control ===
--- 
+++ 
@@ -29,8 +29,8 @@
                libkf6xmlgui-dev (>= 6.14.0~),
                libkimageannotator-qt6-dev,
                libkirigami-dev (>= 6.14.0~),
-               libkpipewire-dev (>= 6.4.4~),
-               liblayershellqtinterface-dev (>= 6.4.4~),
+               libkpipewire-dev (>= 6.4.5~),
+               liblayershellqtinterface-dev (>= 6.4.5~),
                libopencv-core-dev,
                libopencv-dev,
                libopencv-imgproc-dev,
