## kde-spectacle 6.4.5+p24.04+vstable+git20251004.0518

=== debian/changelog ===
kde-spectacle (1:6.4.5+p24.04+vstable+git20251004.0518-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:18:08 +0000
