## kde-spectacle 6.4.5+p24.04+vstable+git20251017.0822

=== debian/changelog ===
kde-spectacle (1:6.4.5+p24.04+vstable+git20251017.0822-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 08:22:29 +0000
