## kde-spectacle 6.4.5+p24.04+vstable+git20251019.0609

=== debian/changelog ===
kde-spectacle (1:6.4.5+p24.04+vstable+git20251019.0609-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:09:32 +0000
