## kde-spectacle 6.4.5+p24.04+vunstable+git20251009.0706

=== debian/changelog ===
kde-spectacle (1:6.4.5+p24.04+vunstable+git20251009.0706-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 07:06:38 +0000
