## kde-spectacle 6.4.5+p24.04+vunstable+git20251015.1703

=== debian/changelog ===
kde-spectacle (1:6.4.5+p24.04+vunstable+git20251015.1703-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:03:32 +0000
