=== debian/changelog ===
kde-spectacle (1:6.4.5+p24.04+vunstable+git20251020.0351-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:51:03 +0000
